Empery Digital Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/empery-digital-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/empery-digital-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1773619200000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://ir.emperydigital.com/news-events/press-releases/detail/175/empery-digital-announces-update-on-share-repurchase-program",
    "holding_balance": 3501.7,
    "holding_net_change": -60.0,
    "transaction_value_usd": 4232040.0,
    "average_entry_value_usd": -70534.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1774828800000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://ir.emperydigital.com/news-events/press-releases/detail/179/empery-digital-announces-update-on-share-repurchase-program",
    "holding_balance": 3359.0,
    "holding_net_change": -79.0,
    "transaction_value_usd": 5611449.0,
    "average_entry_value_usd": -71031.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1775433600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://ir.emperydigital.com/news-events/press-releases/detail/181/empery-digital-announces-update-on-share-repurchase-program",
    "holding_balance": 2989.0,
    "holding_net_change": -370.0,
    "transaction_value_usd": 24653840.0,
    "average_entry_value_usd": -66632.0,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/empery-digital-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    2989.0
  ],
  [
    1779062400000,
    2989.0
  ],
  [
    1779148800000,
    2989.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/empery-digital-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    231437851.54
  ],
  [
    1779062400000,
    229986423.03
  ],
  [
    1779148800000,
    229435669.89
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/empery-digital-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 4.98,
    "date": "2026-05-15",
    "high": 5.18,
    "open": 5.18,
    "close": 5.11,
    "volume": 249100
  },
  {
    "low": 4.7,
    "date": "2026-05-18",
    "high": 5.1,
    "open": 5.1,
    "close": 4.83,
    "volume": 174800
  },
  {
    "low": 4.7001,
    "date": "2026-05-19",
    "high": 4.85,
    "open": 4.75,
    "close": 4.82,
    "volume": 146127
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/empery-digital-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.11,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": -0.1
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/empery-digital-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -6.04,
  "six_month_return": -13.31,
  "three_month_return": 30.27
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/empery-digital-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 169.0,
  "total_btc_percentage": 0.014,
  "share_price_change_state": "down"
}